Customer payment methods
Update customer payment method
Updates the saved payment method identified by {id} (also passed as
payment_method_id) — e.g. set set_as_default or update its
billing_address. Requires a customer bearer token. Returns 404 when not
found, 422 on validation failure, and 401 when unauthenticated.
PATCH
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
payment_methods
/
{id}
Update customer payment method
curl --request PATCH \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": 48213,
"set_as_default": true,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"name": "Holly Flax"
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}"
payload = {
"payment_method_id": 48213,
"set_as_default": True,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"name": "Holly Flax"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method_id: 48213,
set_as_default: true,
billing_address: {
address1: '1725 Slough Avenue',
address2: 'Suite 200',
city: 'Scranton',
state: 'PA',
postal_code: '18505',
country_code: 'US',
name: 'Holly Flax'
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'payment_method_id' => 48213,
'set_as_default' => true,
'billing_address' => [
'address1' => '1725 Slough Avenue',
'address2' => 'Suite 200',
'city' => 'Scranton',
'state' => 'PA',
'postal_code' => '18505',
'country_code' => 'US',
'name' => 'Holly Flax'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}"
payload := strings.NewReader("{\n \"payment_method_id\": 48213,\n \"set_as_default\": true,\n \"billing_address\": {\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"name\": \"Holly Flax\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payment_method_id\": 48213,\n \"set_as_default\": true,\n \"billing_address\": {\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"name\": \"Holly Flax\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payment_method_id\": 48213,\n \"set_as_default\": true,\n \"billing_address\": {\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"name\": \"Holly Flax\"\n }\n}"
response = http.request(request)
puts response.read_body{
"fluid_pay_account": {
"id": 20417
},
"payment_method": {
"id": 48213,
"au_status": null,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"zip": "18505",
"country_code": "US",
"name": "Holly Flax"
},
"created_at": "2026-09-03T16:12:44Z",
"updated_at": "2026-09-30T14:05:22Z",
"default": true,
"details": {
"id": 48213,
"type": "CreditCard",
"card_network": "visa",
"card_brand": "Visa",
"last4_digits": "4242",
"last_four": "4242",
"exp_month": "12",
"exp_year": "2028",
"logo_url": null,
"vgs_card_id": "CRDt8pZkQ3vN5wX2mL7bR4yH",
"requires_3ds": false
},
"payment_title": "Credit Card",
"payment_type": "Credit Card",
"source": "card"
},
"meta": {
"request_id": "7b1e4c93-2a6d-4f58-9c0e-5d8a3f2b6e17",
"timestamp": "2026-09-30T14:05:22Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Authorizations
Bearer token authentication
Path Parameters
Payment method ID
Body
application/json
⌘I
Update customer payment method
curl --request PATCH \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": 48213,
"set_as_default": true,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"name": "Holly Flax"
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}"
payload = {
"payment_method_id": 48213,
"set_as_default": True,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"name": "Holly Flax"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method_id: 48213,
set_as_default: true,
billing_address: {
address1: '1725 Slough Avenue',
address2: 'Suite 200',
city: 'Scranton',
state: 'PA',
postal_code: '18505',
country_code: 'US',
name: 'Holly Flax'
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'payment_method_id' => 48213,
'set_as_default' => true,
'billing_address' => [
'address1' => '1725 Slough Avenue',
'address2' => 'Suite 200',
'city' => 'Scranton',
'state' => 'PA',
'postal_code' => '18505',
'country_code' => 'US',
'name' => 'Holly Flax'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}"
payload := strings.NewReader("{\n \"payment_method_id\": 48213,\n \"set_as_default\": true,\n \"billing_address\": {\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"name\": \"Holly Flax\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payment_method_id\": 48213,\n \"set_as_default\": true,\n \"billing_address\": {\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"name\": \"Holly Flax\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payment_method_id\": 48213,\n \"set_as_default\": true,\n \"billing_address\": {\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"name\": \"Holly Flax\"\n }\n}"
response = http.request(request)
puts response.read_body{
"fluid_pay_account": {
"id": 20417
},
"payment_method": {
"id": 48213,
"au_status": null,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"zip": "18505",
"country_code": "US",
"name": "Holly Flax"
},
"created_at": "2026-09-03T16:12:44Z",
"updated_at": "2026-09-30T14:05:22Z",
"default": true,
"details": {
"id": 48213,
"type": "CreditCard",
"card_network": "visa",
"card_brand": "Visa",
"last4_digits": "4242",
"last_four": "4242",
"exp_month": "12",
"exp_year": "2028",
"logo_url": null,
"vgs_card_id": "CRDt8pZkQ3vN5wX2mL7bR4yH",
"requires_3ds": false
},
"payment_title": "Credit Card",
"payment_type": "Credit Card",
"source": "card"
},
"meta": {
"request_id": "7b1e4c93-2a6d-4f58-9c0e-5d8a3f2b6e17",
"timestamp": "2026-09-30T14:05:22Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}